package q1k2.pxlx.train.plugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.dataentity.entity.LocaleString;
import kd.bos.form.field.ComboEdit;
import kd.bos.form.field.ComboItem;
import kd.sdk.plugin.Plugin;
import q1k2.pxlx.train.common.Q1k2MonthPlanLwConstant;
import q1k2.pxlx.train.common.Q1k2YearPlanConstant;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.EventObject;
import java.util.List;

/**
 * @Description 月度计划表单插件
 * @Created 刘维
 */
public class MonthPlanBillPlugin extends AbstractBillPlugIn implements Plugin {
    @Override
    public void afterLoadData(EventObject e) {
        super.afterLoadData(e);
        setComboItems();
    }


    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        setComboItems();
    }

    /**
     * 设置年度下拉值
     */
    private void setComboItems() {
        Calendar calendar = Calendar.getInstance();
        int year = calendar.get(Calendar.YEAR);//当前年度
        //获取年度下拉控件
        ComboEdit yearComboEdit = this.getControl(Q1k2MonthPlanLwConstant.Q1K2_YEAR);
        //设置下拉值
        List<ComboItem> data = new ArrayList<>();
        for (int i = year - 3; i <= year + 3; i++) {
            data.add(new ComboItem(new LocaleString(String.valueOf(i)), String.valueOf(i)));
        }
        //绑定下拉值
        yearComboEdit.setComboItems(data);
        //获取月度下拉控件
        ComboEdit monthComboEdit = this.getControl(Q1k2MonthPlanLwConstant.Q1K2_MONTH);
        //设置下拉值
        List<ComboItem> monthData = new ArrayList<>();
        for (int i = 1; i <= 12; i++) {
            monthData.add(new ComboItem(new LocaleString(String.valueOf(i)), String.valueOf(i)));
        }
        //绑定下拉值
        monthComboEdit.setComboItems(monthData);
    }
}