package q1k2.pxlx.train.plugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.dataentity.entity.LocaleString;
import kd.bos.form.field.ComboEdit;
import kd.bos.form.field.ComboItem;
import kd.sdk.plugin.Plugin;
import q1k2.pxlx.train.common.Q1k2YearPlanConstant;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.EventObject;
import java.util.List;

/**
 * @Description 年度计划表单插件
 * @Created 刘维
 */
public class YearPlanBillPlugin extends AbstractBillPlugIn implements Plugin {
    @Override
    public void afterLoadData(EventObject e) {
        super.afterLoadData(e);
        setYearComboItems();
    }


    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        setYearComboItems();
    }

    /**
     * 设置年度下拉值
     */
    private void setYearComboItems() {
        Calendar calendar = Calendar.getInstance();
        int year = calendar.get(Calendar.YEAR);//当前年度
        //获取年度下拉控件
        ComboEdit ComboEdit = this.getControl(Q1k2YearPlanConstant.Q1K2_YEAR);
        //设置下拉值
        List<ComboItem> data = new ArrayList<>();
        for (int i = year - 3; i <= year + 3; i++) {
            data.add(new ComboItem(new LocaleString(String.valueOf(i)), String.valueOf(i)));
        }
        //绑定下拉值
        ComboEdit.setComboItems(data);
    }
}